org.eclipse.jgit.errors

## Class NoRemoteRepositoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.TransportException
        - - org.eclipse.jgit.errors.NoRemoteRepositoryException

All Implemented Interfaces:
  Serializable

    public class NoRemoteRepositoryException
    extends TransportException

Indicates a remote repository does not exist.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoRemoteRepositoryException(URIish uri, String s)` Constructs an exception indicating a repository does not exist.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoRemoteRepositoryException

    public NoRemoteRepositoryException(URIish uri,
                               String s)

Constructs an exception indicating a repository does not exist.

Parameters:
  `uri` - URI used for transport
  `s` - message